
Foreman - Bug #29044

Settings should have their value hidden in API if they are encrypted

02/18/2020 09:17 AM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Settings   

Target version:    

Difficulty: trivial Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7442

  

Description

Settings which have their value stored encrypted in the DB are write-only in the Web UI since 

https://projects.theforeman.org/issues/27549 was fixed. This is intended to make the API behave the same way.

Related issues:

Related to Foreman Remote Execution - Bug #27481: Secrets should be hidden Closed

Associated revisions

Revision 2337a06b - 02/20/2020 12:51 PM - Adam Ruzicka

Fixes #29044 - Hide values of encrypted settings in API

Settings which have their value stored encrypted in the DB are write-only in the

Web UI since dad774bbf was merged. This is intended to make the API behave the

same way.

History

#1 - 02/18/2020 09:20 AM - Adam Ruzicka

- Related to Bug #27481: Secrets should be hidden added

#2 - 02/18/2020 09:20 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7442 added

#3 - 02/20/2020 12:51 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 02/20/2020 01:01 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset 2337a06bbb4513e28c28697e561e052ba805d98d.
